/* -*-mode:C++-*- */
/*
 * ksi_ext.h
 * generic include file for extentions
 *
 * Copyright (C) 1998-1999, Ivan Demakov.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without a written
 * agreement is hereby granted, provided that the above copyright notice
 * and this paragraph and the following two paragraphs appear in all copies.
 * Modifications to this software may be copyrighted by their authors
 * and need not follow the licensing terms described here, provided that
 * the new terms are clearly indicated on the first page of each file where
 * they apply.
 *
 * IN NO EVENT SHALL THE AUTHORS OR DISTRIBUTORS BE LIABLE TO ANY PARTY
 * FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,
 * INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS
 * DOCUMENTATION, EVEN IF THE AUTHORS HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * THE AUTHORS AND DISTRIBUTORS SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
 * ON AN "AS IS" BASIS, AND THE AUTHORS AND DISTRIBUTORS HAS NO OBLIGATIONS
 * TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 *
 *
 * Author:        Ivan Demakov <demakov@users.sourceforge.net>
 * Creation date: Thu May  7 17:47:39 1998
 * Last Update:   $Author: demakov $ $Date: 2000/07/25 19:10:25 $
 *
 * 
 * $Id: ksi_ext.h,v 1.1.1.1 2000/07/25 19:10:25 demakov Exp $
 *
 */

#ifndef KSI_EXT_H
#define KSI_EXT_H

#ifndef KSI_H
#  include "ksi_conf.h"
#  include "ksi.h"
#  include "ksi_type.h"
#  include "ksi_prim.h"
#endif

#if defined(__WATCOMC__)
#  if defined(MSWIN32)
#    if defined(KSIDLL)
#      if defined(MAKE_ext_DLL)
#        define EXT_API extern __declspec(dllexport)
#      else
#        define EXT_API extern __declspec(dllimport)
#      endif
#    endif
#  endif
#endif

#if defined(_MSC_VER)
#  if defined(KSIDLL)
#    if defined(_DLL)
#      define EXT_API __declspec(dllexport)
#    else
#      define EXT_API __declspec(dllimport)
#    endif
#  endif
#endif

#ifndef EXT_API
#  define EXT_API extern
#endif


#endif

 /* End of file */
